Package org.eclipse.gef.layout.algorithms

# Class SugiyamaLayoutAlgorithm.GreedyCrossingReducer

java.lang.Object
org.eclipse.gef.layout.algorithms.SugiyamaLayoutAlgorithm.GreedyCrossingReducer

All Implemented Interfaces:
  `SugiyamaLayoutAlgorithm.CrossingReducer`

Enclosing class:
  SugiyamaLayoutAlgorithm

public static class SugiyamaLayoutAlgorithm.GreedyCrossingReducer extends Object implements SugiyamaLayoutAlgorithm.CrossingReducer
Implemented the CrossingReducer interface. This algorithm select neighbouring nodes and decides there order based on the number of edge crossings between them and those connected to them.

## Constructor Summary

Constructors
Constructor
Description
`GreedyCrossingReducer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`crossReduction(List<List<SugiyamaLayoutAlgorithm.NodeWrapper>> nodes)`
From the given nodes it creates a map of NodeLayouts and NodeWrappers which contains the layers and indexes of the nodes

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GreedyCrossingReducer

public GreedyCrossingReducer()

## Method Details

### crossReduction

public void crossReduction(List<List<SugiyamaLayoutAlgorithm.NodeWrapper>> nodes)
Description copied from interface: `SugiyamaLayoutAlgorithm.CrossingReducer`
From the given nodes it creates a map of NodeLayouts and NodeWrappers which contains the layers and indexes of the nodes

Specified by:
  `crossReduction` in interface `SugiyamaLayoutAlgorithm.CrossingReducer`
Parameters:
  `nodes` - List of nodes needed to be organized